> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/billing-api/invoice/invoice-line.md).

# Invoice Line

The Invoice Line object represents a record of invoice generated in the ERP system.

<table><thead><tr><th width="240">Field Name</th><th width="117">Data Type</th><th width="89">Core</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>true</td><td><p>The unique identifier for the invoice line. No nesting exists for this identifier. </p><p>Example: INL-685-123-555</p></td></tr><tr><td><code>invoice</code></td><td>object</td><td>-</td><td>A reference to <a href="/developer-resources/rest-api/billing-api/invoice.md"><code>invoice</code></a> object.</td></tr><tr><td><code>documentNo</code></td><td>string</td><td>-</td><td><p>The document number. </p><p>Example:</p><pre class="language-json" data-overflow="wrap" data-line-numbers data-full-width="true"><code class="lang-json">{
    "id": "INV-123-567-321"
}
</code></pre></td></tr><tr><td><code>erpCountryCode</code></td><td>string</td><td>-</td><td><p>The country code as defined in the ERP system. </p><p>Example: GB</p></td></tr><tr><td><code>lineNo</code></td><td>integer</td><td>-</td><td><p>The line number. </p><p>Example: 50000</p></td></tr><tr><td><code>amount</code></td><td>decimal</td><td>-</td><td><p>The total amount of the invoice.</p><p>Example: 193.2</p></td></tr><tr><td><code>lineAmount</code></td><td>decimal</td><td>-</td><td><p>Total amount for the line item. </p><p>Example: 193.2</p></td></tr><tr><td><code>discountAmount</code></td><td>decimal</td><td>-</td><td><p>The discount amount applied. </p><p>Example: 0</p></td></tr><tr><td><code>amountIncludingVat</code></td><td>decimal</td><td>-</td><td><p>The total amount including VAT. </p><p>Example: 231.84</p></td></tr><tr><td><code>vatBaseAmount</code></td><td>decimal</td><td>-</td><td>The base amount for VAT calculation. Example: 193.2</td></tr><tr><td><code>unitOfMeasure</code></td><td>string</td><td>-</td><td><p>The unit of measure. </p><p>Example: Pieces</p></td></tr><tr><td><code>itemNo</code></td><td>string</td><td>-</td><td><p>The item number. </p><p>Example: X120.00128.ML</p></td></tr><tr><td><code>description</code></td><td>string</td><td>-</td><td><p>A description of the item. </p><p>Example: Power BI Pro</p></td></tr><tr><td><code>description2</code></td><td>string</td><td>-</td><td>Additional description for the item. Example: Monthly Subs incl SoftwareOne Cloud Support Advanced</td></tr><tr><td><code>quantity</code></td><td>integer</td><td>-</td><td><p>The total number of units. </p><p>Example: 23</p></td></tr><tr><td><code>unitPrice</code></td><td>decimal</td><td>-</td><td><p>The price per unit. </p><p>Example: 8.4</p></td></tr><tr><td><code>countryOfUsage</code></td><td>string</td><td>-</td><td><p>The country of usage. </p><p>Example: GB</p></td></tr><tr><td><code>contractNo</code></td><td>string</td><td>-</td><td><p>The contract number.</p><p>Example:GB-CCO-155406</p></td></tr><tr><td><code>primaryCodeIdentifier</code></td><td>string</td><td>-</td><td>Primary code identifier</td></tr><tr><td><code>primaryCodeVersion</code></td><td>string</td><td>-</td><td>The version of the primary code.</td></tr><tr><td><code>primaryCodeValue</code></td><td>string</td><td>-</td><td>The value of the primary code.</td></tr><tr><td><code>secondaryCodeIdentifier</code></td><td>string</td><td>-</td><td>The identifier of the secondary code.</td></tr><tr><td><code>secondaryCodeVersion</code></td><td>string</td><td>-</td><td>The version of the secondary code.</td></tr><tr><td><code>secondaryCodeValue</code></td><td>string</td><td>-</td><td>The value of the secondary code.</td></tr><tr><td><code>MSRP</code></td><td>decimal</td><td>-</td><td>The manufacturer's suggested retail price. Example: 20</td></tr><tr><td><code>timestamp</code></td><td>integer</td><td>-</td><td><p>The date and time details.</p><p>Example: 28495870095</p></td></tr><tr><td><code>rowVersion</code></td><td>string</td><td>-</td><td><p>The row version. </p><p>Example: 0x000000011A867F68</p></td></tr><tr><td><code>parentItemNo</code></td><td>string</td><td>-</td><td><p>The identifier for the parent item. </p><p>Example: X120.00128.ML</p></td></tr><tr><td><code>type</code></td><td>string</td><td>-</td><td><p>Type. </p><p>Example: 2</p></td></tr><tr><td><code>responsibilityCenterCode</code></td><td>string</td><td>-</td><td>The code for the responsibility center. Example: LON</td></tr><tr><td><code>vatCalculationType</code></td><td>string</td><td>-</td><td><p>Type of VAT calculation. </p><p>Example: 0</p></td></tr><tr><td><code>vatPercent</code></td><td>decimal</td><td>-</td><td><p>The percentage of VAT. </p><p>Example: 20</p></td></tr><tr><td><code>varPartnerNo</code></td><td>string</td><td>-</td><td>The partner number.</td></tr><tr><td><code>swoPurchaseOrderNo</code></td><td>string</td><td>-</td><td>The SoftwareOne purchase order number.</td></tr><tr><td><code>varAgreementNo</code></td><td>string</td><td>-</td><td>The number of the agreement.</td></tr><tr><td><code>externalPositionNo</code></td><td>string</td><td>-</td><td>The external position number.</td></tr><tr><td><code>dataOrigin</code></td><td>string</td><td>-</td><td>The origin of the data.</td></tr><tr><td><code>primaryKey</code></td><td>string</td><td>-</td><td><p>The primary key. </p><p>Example: GB|GB-PSI-332155</p></td></tr><tr><td><code>sellToContactNo</code></td><td>string</td><td>-</td><td><p>The sell-to contact number. </p><p>Example: GB-CON-113713</p></td></tr><tr><td><code>externalDocumentNo</code></td><td>string</td><td>-</td><td><p>The external document number. </p><p>Example: CSP</p></td></tr><tr><td><code>externalDocumentNo2</code></td><td>string</td><td>-</td><td>The additional external document number. Example: CSA6/5/23-5/6/23</td></tr><tr><td><code>yourReference</code></td><td>string</td><td>-</td><td><p>The reference for the invoice. </p><p>Example: vixtechnology.com</p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/billing-api/invoice/invoice-line.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
